function tf = iscategoricaldataset(a)
%ISCATEGORICALDATASET Determine if input is a categorical dataset
%   TF = ISCATEGORICALDATASET(A) returns logical 1 (true) if A is a dataset
%   with categorical only variables and logical 0 (false) otherwise.

%   Copyright 2010 Mens X Machina
%
%   This file is part of Mens X Machina Commons Toolbox.
%
%   Mens X Machina Commons Toolbox is free software: you can redistribute
%   it and/or modify it under the terms of the GNU General Public License 
%   as published by the Free Software Foundation, either version 3 of the
%   License, or (at your option) any later version.
%
%   Mens X Machina Commons Toolbox is distributed in the hope that it will
%   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
%   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
%   General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with Mens X Machina Commons Toolbox. If not, see
%   <http://www.gnu.org/licenses/>.

tf = isa(a, 'dataset') && ...
        all( cellfun(@(vn) isa(a.(vn), 'categorical'), get(a, 'VarNames')) );

end
