function tf = issubs(subs)
%ISSUBS Determine if input is a valid subscript matrix

%   Copyright 2010 Mens X Machina
%
%   This file is part of Mens X Machina Commons Toolbox.
%
%   Mens X Machina Commons Toolbox is free software: you can redistribute
%   it and/or modify it under the terms of the GNU General Public License 
%   as published by the Free Software Foundation, either version 3 of the
%   License, or (at your option) any later version.
%
%   Mens X Machina Commons Toolbox is distributed in the hope that it will
%   be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
%   of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU 
%   General Public License for more details.
%
%   You should have received a copy of the GNU General Public License
%   along with Mens X Machina Commons Toolbox. If not, see
%   <http://www.gnu.org/licenses/>.

tf = isnumeric(subs) && ndims(subs) == 2;

%{
if isinteger(subs) % array of an integer data type
    tf = ndims(subs) == 2 && all(all(subs > 0));
    
elseif isnumeric(subs) % numeric array but not of an integer data type
    tf = ndims(subs) == 2 && all(all(org.mensxmachina.state.ispositiveinteger(subs)));
    
else
    tf = false;
    
end
%}

end
