classdef TestRoc < TestCase
%TESTROC roc test cases
% Note: requires MATLAB NN toolbox

properties
    
end

methods

function obj = TestRoc(name)

obj = obj@TestCase(name);

end

function testCmpWithMatlabRoc(obj)

load iris_dataset;

net = newpr(irisInputs,irisTargets,20);
net = train(net,irisInputs,irisTargets);
irisOutputs = sim(net,irisInputs); 

[tpr_nn fpr_nn threshold_nn] = roc(irisTargets,irisOutputs);

for i=1:3
    
    [tpr fpr threshold] = org.mensxmachina.commons.stats.roc(irisTargets(i, :), irisOutputs(i, :));
    
    assertEqual(tpr_nn{i}, tpr);
    assertEqual(fpr_nn{i}, fpr);
    assertEqual(threshold_nn{i}(2:end-1), threshold(2:end-1)); 
    
end

end

end

end
